%global gem_name rack-mount

Summary: Stackable dynamic tree based Rack router
Name: rubygem-%{gem_name}
Version: 0.8.3
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/josh/%{gem_name}
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/josh/rack-mount.git && cd rack-mount && git checkout v0.8.3
# tar czvf rack-mount-0.8.3-tests.tgz test/
Source1: %{gem_name}-%{version}-tests.tgz
# Add dependency on unbundeld regin.
Patch1: rack-mount-add-regin-deps.patch
# https://github.com/josh/rack-mount/pull/41
Patch2: rubygem-rack-mount-0.7.1-Fix-Ruby-2.0.0-compatibility.patch
BuildRequires: rubygems-devel
BuildRequires: rubygem(rack) >= 1.1.0
BuildRequires: rubygem(regin)
BuildRequires: rubygem(minitest) < 5
BuildArch: noarch

%description
Stackable dynamic tree based Rack router. Supports Rack’s X-Cascade convention
to continue trying routes if the response returns pass. This allows multiple
routes to be nested or stacked on top of each other. Since the application
endpoint can trigger the router to continue matching, middle-ware can be used
to add arbitrary conditions to any route. This allows you to route based
on other request attributes, session information, or even data dynamically
pulled from a database.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

rm -rf .%{gem_libdir}/rack/mount/vendor

pushd .%{gem_dir}
%patch1 -p0
popd

pushd .%{gem_instdir}
%patch2 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}
ruby -Ilib:test -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd


%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Wed Jun 18 2014 Vít Ondruch <vondruch@redhat.com> - 0.8.3-4
- Fix FTBFS in Rawhide (rhbz#1107201).

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 09 2013 Vít Ondruch <vondruch@redhat.com> - 0.8.3-1
- Update to rack-mount 0.8.3.

* Tue Apr 09 2013 Vít Ondruch <vondruch@redhat.com> - 0.7.1-8
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.7.1-5
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Vít Ondruch <vondruch@redhat.com> - 0.7.1-3
- Relaxed Rack dependency.

* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 0.7.1-2
- Fixed missing dependencies after unbundling regin.

* Thu Apr 07 2011 Vít Ondruch <vondruch@redhat.com> - 0.7.1-1
- Updated to rack-mount 0.7.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.13-4
- Fixed test execution

* Wed Jan 26 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.13-3
- Fixed vendor subdirectory removal
- Added test dir cleanup on the beginning of %check section

* Wed Jan 19 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.13-2
- Added missing prep, build and clean sections
- Added missing dependency on rubygem-rack
- Removed unnecessary cleanup
- Removed vendored Regin and Multimap gems
- Added exection of test suite

* Fri Jan 07 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.13-1
- Initial package
